/*
 * Querydsl query type
 *
 *
 */
package de.ivu.elect.business.stimmeingabe.entity;

import static com.querydsl.core.types.PathMetadataFactory.*;

import com.querydsl.core.types.Path;
import com.querydsl.core.types.PathMetadata;
import com.querydsl.core.types.dsl.EntityPathBase;
import com.querydsl.core.types.dsl.NumberPath;
import com.querydsl.core.types.dsl.StringPath;
import com.querydsl.core.types.dsl.EnumPath;
import com.querydsl.core.types.dsl.DateTimePath;
import com.querydsl.core.types.dsl.SetPath;
import com.querydsl.core.types.dsl.BooleanPath;
import com.querydsl.core.types.dsl.PathInits;

@javax.enterprise.inject.Vetoed
@javax.annotation.Generated("de.ivu.takatuka")
public class QStimmeingabefehler extends EntityPathBase<Stimmeingabefehler> {

  private static final long serialVersionUID = -1;

  // Wird benötigt zur Initialisierung der Entitäten. Verhindert Schleifen, initialisiert standardmäßig aber nur direkte Referenzen, nicht mehrere Ebenen. Mehrere Ebenen müssen explizit angegeben werden.
  private static final PathInits INITS_SAFE = new PathInits("*"
	// Stimmeingabe
, "stimmeingabe.ergebniseingang"
, "stimmeingabe.gruppeImGebiet"
, "stimmeingabe.listenkandidatur"
, "stimmeingabe.referendumOption"
);

  private static final PathInits INITS = de.ivu.elect.jee.entity.QueryDsl.DIREKT_4_EBENEN;

  public static final QStimmeingabefehler stimmeingabefehler = new QStimmeingabefehler("stimmeingabefehler");

  public final NumberPath<Long> id = createNumber("id", Long.class);

  public final StringPath beschreibung = createString("beschreibung");

  public final StringPath erwarteteAnzahlEingabe = createString("erwarteteAnzahlEingabe");

  public final EnumPath<de.ivu.elect.business.stimmeingabe.entity.Stimmeingabefehlerart> fehlerart = createEnum("fehlerart", de.ivu.elect.business.stimmeingabe.entity.Stimmeingabefehlerart.class);

  public final EnumPath<de.ivu.elect.business.stimmeingabe.entity.StimmeingabePlausiTyp> stimmeingabePlausiTyp = createEnum("stimmeingabePlausiTyp", de.ivu.elect.business.stimmeingabe.entity.StimmeingabePlausiTyp.class);


  // Beziehungen N:1 unidirektional

  // Beziehungen N:1 bidirektional

  public final de.ivu.elect.business.stimmeingabe.entity.QStimmeingabe stimmeingabe;


  // Beziehungen 1:N bidirektional

  /**
   * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

  public QStimmeingabefehler(Class<? extends Stimmeingabefehler> type, PathMetadata metadata, PathInits inits) {
    super(type, metadata, inits);
    this.stimmeingabe = inits.isInitialized("stimmeingabe") ? new de.ivu.elect.business.stimmeingabe.entity.QStimmeingabe(forProperty("stimmeingabe"), inits.get("stimmeingabe")) : null;// de.ivu.elect.business.stimmeingabe.entity.QStimmeingabe.stimmeingabe;
  }

  public QStimmeingabefehler(String variable) {
    this(Stimmeingabefehler.class, forVariable(variable), INITS);
  }

  public QStimmeingabefehler(Path<? extends Stimmeingabefehler> path) {
    this(path.getType(), path.getMetadata(), path.getMetadata().isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QStimmeingabefehler(PathMetadata metadata) {
    this(metadata, metadata.isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QStimmeingabefehler(PathMetadata metadata, PathInits inits) {
    this(Stimmeingabefehler.class, metadata, inits);
  }
}
